# Generated from code_analyzer-0.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name code_analyzer

Name: rubygem-%{gem_name}
Version: 0.3.1
Release: 2%{?dist}
Summary: Helps build custom code analyzer tools
Group: Development/Languages
License: MIT
URL: https://github.com/flyerhzm/code_analyzer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(sexp_processor)
BuildRequires: ruby(release)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(sexp_processor)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
A code analyzer tool which is extracted from rails_best_practices, it helps you
easily build your own code analyzer tool.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
rm -rf %{buildroot}%{gem_instdir}/.{gitignore,rspec,rvmrc,travis.yml}

%check
pushd .
rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/LICENSE

%files doc
%doc %{gem_instdir}/README.md
%doc %{gem_docdir}
%{gem_instdir}/spec
%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/*.gemspec


%changelog
* Sun Aug 04 2013 Anuj More - 0.3.1-2
- Minor changes with LICENSE and README, changed description/summary

* Tue May 14 2013 Anuj More - 0.3.1-1
- Initial package
